Bug 1572667 - don't restart openvswitch if --no-activate is specified (OSP-12) [NEEDINFO]
Summary: don't restart openvswitch if --no-activate is specified (OSP-12)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: zenghui.shi
QA Contact: Shai Revivo
URL:
Whiteboard:
Keywords: Regression, Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:40 UTC by Bob Fournier
Modified: 2018-08-20 13:01 UTC (History)
11 users (show)

(edit)
Clone Of: 1549107
(edit)
Last Closed: 2018-08-20 12:59:48 UTC
jamsmith: needinfo? (zshi)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:01 UTC
OpenStack gerrit 564662 None None None 2018-04-27 14:40 UTC

Comment 5 mlammon 2018-07-18 17:26:03 UTC
Installed latest osp12 puddle: 2018-07-13.1 which will be rhos-osp12z3
Environment:

os-net-config-7.3.6-1.el7ost.noarch

Verified new code is in place. This is about all we can do for the bz.

sed -n '1007,1015p' /usr/lib/python2.7/site-packages/os_net_config/impl_ifcfg.py
            # DPDK initialization is done before running os-net-config, to make
            # the DPDK ports available when enabled. DPDK Hotplug support is
            # supported only in OvS 2.7 version. Until then, OvS needs to be
            # restarted after adding a DPDK port. This change will be removed
            # on migration to OvS 2.7 where DPDK Hotplug support is available.
            if ovs_needs_restart:
                msg = "Restart openvswitch"
                self.execute(msg, '/usr/bin/systemctl',
                             'restart', 'openvswitch')

Comment 7 errata-xmlrpc 2018-08-20 12:59:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.